diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/command-line.h ns-3.44/src/core/model/command-line.h
--- ns-3.43/src/core/model/command-line.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/command-line.h	2025-03-09 16:55:49.355371000 -0700
@@ -19,8 +19,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup commandline
+ * @file
+ * @ingroup commandline
  * ns3::CommandLine declaration.
  */
 
@@ -28,8 +28,8 @@
 {
 
 /**
- * \ingroup core
- * \defgroup commandline Command Line Parsing
+ * @ingroup core
+ * @defgroup commandline Command Line Parsing
  *
  * A uniform way to specify program documentation,
  * allowed command line arguments and help strings,
@@ -40,8 +40,8 @@
  */
 
 /**
- * \ingroup commandline
- * \brief Parse command-line arguments
+ * @ingroup commandline
+ * @brief Parse command-line arguments
  *
  * Instances of this class can be used to parse command-line
  * arguments.  Programs can register a general usage message with
@@ -51,7 +51,7 @@
  * can be accomplished by providing a Callback.
  *
  * CommandLine also provides handlers for these standard arguments:
- * \verbatim
+ * @verbatim
    --PrintGlobals:              Print the list of globals.
    --PrintGroups:               Print the list of groups.
    --PrintGroup=[group]:        Print all TypeIds of group.
@@ -76,12 +76,12 @@
  * argument name.
  *
  * In use, arguments are given in the form
- * \verbatim
+ * @verbatim
    --arg=value --toggle first-non-option\endverbatim
  * Most arguments expect a value, as in the first form, \c \--arg=value.
  * Toggles, corresponding to boolean arguments, can be given in any of
  * the forms
- * \verbatim
+ * @verbatim
    --toggle1 --toggle2=1 --toggle3=t --toggle4=true \endverbatim
  * The first form changes the state of toggle1 from its default;
  * all the rest set the corresponding boolean variable to true.
@@ -92,7 +92,7 @@
  *
  * Option arguments can be repeated on the command line; the last value given
  * will be the final value used.  For example,
- * \verbatim
+ * @verbatim
    --arg=one --toggle=f --arg=another --toggle \endverbatim
  * The variable set by \c \--arg will end up with the value \c "another";
  * the boolean set by \c \--toggle will end up as \c true.
@@ -105,19 +105,19 @@
  *
  * CommandLine can set the initial value of every attribute in the system
  * with the \c \--TypeIdName::AttributeName=value syntax, for example
- * \verbatim
+ * @verbatim
    --Application::StartTime=3s \endverbatim
  * In some cases you may want to highlight the use of a particular
  * attribute for a simulation script.  For example, you might want
  * to make it easy to set the \c Application::StartTime using
  * the argument \c \--start, and have its help string show as part
  * of the help message.  This can be done using the
- * \link AddValue(const std::string&, const std::string&) AddValue (name, attributePath) \endlink
+ * @link AddValue(const std::string&, const std::string&) AddValue (name, attributePath) \endlink
  * method.
  *
  * CommandLine can also set the value of every GlobalValue
  * in the system with the \c \--GlobalValueName=value syntax, for example
- * \verbatim
+ * @verbatim
    --SchedulerType=HeapScheduler \endverbatim
  *
  * A simple example of CommandLine is in `src/core/example/``command-line-example.cc`
@@ -125,7 +125,7 @@
  *
  * The heart of that example is this code:
  *
- * \code
+ * @code
  *    int         intArg  = 1;
  *    bool        boolArg = false;
  *    std::string strArg  = "strArg default";
@@ -140,13 +140,13 @@
  *    cmd.AddValue ("anti",    "ns3::RandomVariableStream::Antithetic");
  *    cmd.AddValue ("cbArg",   "a string via callback", MakeCallback (SetCbArg));
  *    cmd.Parse (argc, argv);
- * \endcode
+ * @endcode
  * after which it prints the values of each variable.  (The \c SetCbArg function
  * is not shown here; see `src/core/example/``command-line-example.cc`)
  *
  * Here is the output from a few runs of that program:
  *
- * \verbatim
+ * @verbatim
    $ ./ns3 run "command-line-example"
    intArg:   1
    boolArg:  false
@@ -189,7 +189,7 @@
  * incompatible.  Suggested best practice is to supply an error message
  * and the complete usage message.  For example,
  *
- * \code
+ * @code
  *   int value1;
  *   int value2;
  *
@@ -206,14 +206,14 @@
  *       std::cerr << cmd;
  *       exit (-1);
  *     }
- * \endcode
+ * @endcode
  *
  * Finally, note that for examples which will be run by \c test.py
  * the preferred declaration of a CommandLine instance is
  *
- * \code
+ * @code
  *     CommandLine cmd (__FILE__);
- * \endcode
+ * @endcode
  * This will ensure that the program usage and arguments can be added to
  * the Doxygen documentation automatically.
  */
@@ -230,20 +230,20 @@
      * This form is required to generate Doxygen documentation of the
      * arguments and options.
      *
-     * \param [in] filename The source file name.
+     * @param [in] filename The source file name.
      */
     CommandLine(const std::string& filename);
     /**
      * Copy constructor
      *
-     * \param [in] cmd The CommandLine to copy from
+     * @param [in] cmd The CommandLine to copy from
      */
     CommandLine(const CommandLine& cmd);
     /**
      * Assignment
      *
-     * \param [in] cmd The CommandLine to assign from
-     * \return The CommandLine
+     * @param [in] cmd The CommandLine to assign from
+     * @return The CommandLine
      */
     CommandLine& operator=(const CommandLine& cmd);
     /** Destructor */
@@ -252,16 +252,16 @@
     /**
      * Supply the program usage and documentation.
      *
-     * \param [in] usage Program usage message to write with \c \--help.
+     * @param [in] usage Program usage message to write with \c \--help.
      */
     void Usage(const std::string& usage);
 
     /**
      * Add a program argument, assigning to POD
      *
-     * \param [in] name The name of the program-supplied argument
-     * \param [in] help The help text used by \c \--PrintHelp
-     * \param [out] value A reference to the variable where the
+     * @param [in] name The name of the program-supplied argument
+     * @param [in] help The help text used by \c \--PrintHelp
+     * @param [out] value A reference to the variable where the
      *        value parsed will be stored (if no value
      *        is parsed, this variable is not modified).
      */
@@ -278,14 +278,14 @@
      * and have a maximum length of \c (num - 1).
      * The result will be truncated to fit, if necessary.
      *
-     * \param [in] name The name of the program-supplied argument
-     * \param [in] help The help text used by \c \--PrintHelp
-     * \param [out] value A pointer pointing to the beginning
+     * @param [in] name The name of the program-supplied argument
+     * @param [in] help The help text used by \c \--PrintHelp
+     * @param [out] value A pointer pointing to the beginning
      *        of a null-terminated C string buffer provided by
      *        the caller. The parsed value will be stored in
      *        that buffer (if no value is parsed, this
      *        variable is not modified).
-     * \param num The size of the buffer pointed to by \c value,
+     * @param num The size of the buffer pointed to by \c value,
      *        including any terminating null.
      */
     void AddValue(const std::string& name, const std::string& help, char* value, std::size_t num);
@@ -293,18 +293,18 @@
      * Callback function signature for
      * AddValue(const std::string&,const std::string&,Callback<bool,const std::string>).
      *
-     * \param [in] value The argument value.
+     * @param [in] value The argument value.
      */
     typedef bool (*Callback)(const std::string& value);
 
     /**
      * Add a program argument, using a Callback to parse the value
      *
-     * \param [in] name The name of the program-supplied argument
-     * \param [in] help The help text used by \c \--help
-     * \param [in] callback A Callback function that will be invoked to parse and
+     * @param [in] name The name of the program-supplied argument
+     * @param [in] help The help text used by \c \--help
+     * @param [in] callback A Callback function that will be invoked to parse and
      *   store the value.
-     * \param [in] defaultValue Optional default value for argument.
+     * @param [in] defaultValue Optional default value for argument.
      *
      * The callback should have the signature
      * CommandLine::Callback
@@ -317,17 +317,17 @@
     /**
      * Add a program argument as a shorthand for an Attribute.
      *
-     * \param [in] name The name of the program-supplied argument.
-     * \param [out] attributePath The fully-qualified name of the Attribute
+     * @param [in] name The name of the program-supplied argument.
+     * @param [out] attributePath The fully-qualified name of the Attribute
      */
     void AddValue(const std::string& name, const std::string& attributePath);
 
     /**
      * Add a non-option argument, assigning to POD
      *
-     * \param [in] name The name of the program-supplied argument
-     * \param [in] help The help text used by \c \--PrintHelp
-     * \param [out] value A reference to the variable where the
+     * @param [in] name The name of the program-supplied argument
+     * @param [in] help The help text used by \c \--PrintHelp
+     * @param [out] value A reference to the variable where the
      *        value parsed will be stored (if no value
      *        is parsed, this variable is not modified).
      */
@@ -341,8 +341,8 @@
      *
      * This is only valid after calling Parse().
      *
-     * \param [in] i The index of the non-option argument to return.
-     * \return The i'th non-option argument, as a string.
+     * @param [in] i The index of the non-option argument to return.
+     * @return The i'th non-option argument, as a string.
      */
     std::string GetExtraNonOption(std::size_t i) const;
 
@@ -353,16 +353,16 @@
      *
      * This is only valid after calling Parse().
      *
-     * \returns the number of non-option arguments found.
+     * @returns the number of non-option arguments found.
      */
     std::size_t GetNExtraNonOptions() const;
 
     /**
      * Parse the program arguments
      *
-     * \param [in] argc The 'argc' variable: number of arguments (including the
+     * @param [in] argc The 'argc' variable: number of arguments (including the
      *        main program name as first element).
-     * \param [in] argv The 'argv' variable: a null-terminated array of strings,
+     * @param [in] argv The 'argv' variable: a null-terminated array of strings,
      *        each of which identifies a command-line argument.
      *
      * Obviously, this method will parse the input command-line arguments and
@@ -380,39 +380,39 @@
      * programmatically.  Other than the type of argument this behaves
      * identically to Parse(int, char *)
      *
-     * \param [in] args The vector of arguments.
+     * @param [in] args The vector of arguments.
      */
     void Parse(std::vector<std::string> args);
 
     /**
      * Get the program name
      *
-     * \return The program name.  Only valid after calling Parse()
+     * @return The program name.  Only valid after calling Parse()
      */
     std::string GetName() const;
 
     /**
-     * \brief Print program usage to the desired output stream
+     * @brief Print program usage to the desired output stream
      *
      * Handler for \c \--PrintHelp and \c \--help:  print Usage(), argument names, and help strings
      *
      * Alternatively, an overloaded operator << can be used:
-     * \code
+     * @code
      *       CommandLine cmd (__FILE__);
      *       cmd.Parse (argc, argv);
      *     ...
      *
      *       std::cerr << cmd;
-     * \endcode
+     * @endcode
      *
-     * \param [in,out] os The output stream to print on.
+     * @param [in,out] os The output stream to print on.
      */
     void PrintHelp(std::ostream& os) const;
 
     /**
      * Get the program version.
      *
-     * \return The program version
+     * @return The program version
      */
     std::string GetVersion() const;
 
@@ -421,14 +421,14 @@
      *
      * Handler for \c \--PrintVersion and \c \--version.
      *
-     * \param [in,out] os The output stream to print on.
+     * @param [in,out] os The output stream to print on.
      */
     void PrintVersion(std::ostream& os) const;
 
   private:
     /**
-     * \ingroup commandline
-     * \brief The argument abstract base class
+     * @ingroup commandline
+     * @brief The argument abstract base class
      */
     class Item
     {
@@ -439,23 +439,23 @@
         /**
          * Parse from a string.
          *
-         * \param [in] value The string representation
-         * \return \c true if parsing the value succeeded
+         * @param [in] value The string representation
+         * @return \c true if parsing the value succeeded
          */
         virtual bool Parse(const std::string& value) const = 0;
         /**
-         * \return \c true if this item has a default value.
+         * @return \c true if this item has a default value.
          */
         virtual bool HasDefault() const;
         /**
-         * \return The default value
+         * @return The default value
          */
         virtual std::string GetDefault() const = 0;
     }; // class Item
 
     /**
-     * \ingroup commandline
-     * \brief An argument Item assigning to POD
+     * @ingroup commandline
+     * @brief An argument Item assigning to POD
      */
     template <typename T>
     class UserItem : public Item
@@ -471,8 +471,8 @@
     };                         // class UserItem
 
     /**
-     * \ingroup commandline
-     * \brief Extension of Item for extra non-options, stored as strings.
+     * @ingroup commandline
+     * @brief Extension of Item for extra non-options, stored as strings.
      */
     class StringItem : public Item
     {
@@ -484,15 +484,15 @@
 
         /**
          * The argument value.
-         * \internal This has to be \c mutable because the Parse()
+         * @internal This has to be \c mutable because the Parse()
          * function is \c const in the base class Item.
          */
         mutable std::string m_value;
     }; // class StringItem
 
     /**
-     * \ingroup commandline
-     * \brief Extension of Item for \c char*.
+     * @ingroup commandline
+     * @brief Extension of Item for \c char*.
      */
     class CharStarItem : public Item
     {
@@ -511,8 +511,8 @@
     }; // class CharStarItem
 
     /**
-     * \ingroup commandline
-     * \brief An argument Item using a Callback to parse the input
+     * @ingroup commandline
+     * @brief An argument Item using a Callback to parse the input
      */
     class CallbackItem : public Item
     {
@@ -540,8 +540,8 @@
     /**
      * Strip leading `--` or `-` from options.
      *
-     * \param [in] param Option name to search
-     * \returns \c false if none found, indicating this is a non-option.
+     * @param [in] param Option name to search
+     * @returns \c false if none found, indicating this is a non-option.
      */
     HasOptionName GetOptionName(const std::string& param) const;
     /**
@@ -549,23 +549,23 @@
      *
      * \note: if any hard-coded options are found this function exits.
      *
-     * \param [in] args Vector of hard-coded options to handle.
+     * @param [in] args Vector of hard-coded options to handle.
      */
     void HandleHardOptions(const std::vector<std::string>& args) const;
 
     /**
      * Handle an option in the form \c param=value.
      *
-     * \param [in] param The option string.
-     * \returns \c true if this was really an option.
+     * @param [in] param The option string.
+     * @returns \c true if this was really an option.
      */
     bool HandleOption(const std::string& param) const;
 
     /**
      * Handle a non-option
      *
-     * \param [in] value The command line non-option value.
-     * \return \c true if \c value could be parsed correctly.
+     * @param [in] value The command line non-option value.
+     * @return \c true if \c value could be parsed correctly.
      */
     bool HandleNonOption(const std::string& value);
 
@@ -573,64 +573,64 @@
      * Match name against the program or general arguments,
      * and dispatch to the appropriate handler.
      *
-     * \param [in] name The argument name
-     * \param [in] value The command line value
-     * \returns \c true if the argument was handled successfully
+     * @param [in] name The argument name
+     * @param [in] value The command line value
+     * @returns \c true if the argument was handled successfully
      */
     bool HandleArgument(const std::string& name, const std::string& value) const;
     /**
      * Callback function to handle attributes.
      *
-     * \param [in] name The full name of the Attribute.
-     * \param [in] value The value to assign to \pname{name}.
-     * \return \c true if the value was set successfully, false otherwise.
+     * @param [in] name The full name of the Attribute.
+     * @param [in] value The value to assign to \pname{name}.
+     * @return \c true if the value was set successfully, false otherwise.
      */
     static bool HandleAttribute(const std::string& name, const std::string& value);
 
     /**
      * Handler for \c \--PrintGlobals:  print all global variables and values
-     * \param [in,out] os The output stream to print on.
+     * @param [in,out] os The output stream to print on.
      */
     void PrintGlobals(std::ostream& os) const;
     /**
      * Handler for \c \--PrintAttributes:  print the attributes for a given type
      * as well as its parents.
      *
-     * \param [in,out] os the output stream.
-     * \param [in] type The type name whose Attributes should be displayed,
+     * @param [in,out] os the output stream.
+     * @param [in] type The type name whose Attributes should be displayed,
      */
     void PrintAttributes(std::ostream& os, const std::string& type) const;
     /**
      * Print the Attributes for a single type.
      *
-     * \param [in,out] os the output stream.
-     * \param [in] tid The TypeId whose Attributes should be displayed,
-     * \param [in] header A header line to print if \c tid has Attributes
+     * @param [in,out] os the output stream.
+     * @param [in] tid The TypeId whose Attributes should be displayed,
+     * @param [in] header A header line to print if \c tid has Attributes
      */
     void PrintAttributeList(std::ostream& os, const TypeId tid, std::stringstream& header) const;
     /**
      * Handler for \c \--PrintGroup:  print all types belonging to a given group.
      *
-     * \param [in,out] os The output stream.
-     * \param [in] group The name of the TypeId group to display
+     * @param [in,out] os The output stream.
+     * @param [in] group The name of the TypeId group to display
      */
     void PrintGroup(std::ostream& os, const std::string& group) const;
     /**
      * Handler for \c \--PrintTypeIds:  print all TypeId names.
      *
-     * \param [in,out] os The output stream.
+     * @param [in,out] os The output stream.
      */
     void PrintTypeIds(std::ostream& os) const;
     /**
      * Handler for \c \--PrintGroups:  print all TypeId group names
      *
-     * \param [in,out] os The output stream.
+     * @param [in,out] os The output stream.
      */
     void PrintGroups(std::ostream& os) const;
     /**
      * Copy constructor implementation
      *
-     * \param [in] cmd CommandLine to copy
+     * @param [in] cmd CommandLine to copy
      */
     void Copy(const CommandLine& cmd);
     /** Remove all arguments, Usage(), name */
@@ -662,54 +662,54 @@
 }; // class CommandLine
 
 /**
- * \ingroup commandline
- * \defgroup commandlinehelper Helpers to specialize UserItem
+ * @ingroup commandline
+ * @defgroup commandlinehelper Helpers to specialize UserItem
  */
 /**
- * \ingroup commandlinehelper
- * \brief Helpers for CommandLine to specialize UserItem
+ * @ingroup commandlinehelper
+ * @brief Helpers for CommandLine to specialize UserItem
  */
 namespace CommandLineHelper
 {
 
 /**
- * \ingroup commandlinehelper
- * \brief Helpers to specialize CommandLine::UserItem::Parse()
+ * @ingroup commandlinehelper
+ * @brief Helpers to specialize CommandLine::UserItem::Parse()
  *
- * \param [in] value The argument name
- * \param [out] dest The argument location
- * \tparam T \deduced The type being specialized
- * \return \c true if parsing was successful
+ * @param [in] value The argument name
+ * @param [out] dest The argument location
+ * @tparam T \deduced The type being specialized
+ * @return \c true if parsing was successful
  */
 template <typename T>
 bool UserItemParse(const std::string& value, T& dest);
 /**
- * \brief Specialization of CommandLine::UserItem::Parse() to \c bool
+ * @brief Specialization of CommandLine::UserItem::Parse() to \c bool
  *
- * \param [in] value The argument name
- * \param [out] dest The boolean variable to set
- * \return \c true if parsing was successful
+ * @param [in] value The argument name
+ * @param [out] dest The boolean variable to set
+ * @return \c true if parsing was successful
  */
 template <>
 bool UserItemParse<bool>(const std::string& value, bool& dest);
 /**
- * \brief Specialization of CommandLine::UserItem::Parse() to \c uint8_t
+ * @brief Specialization of CommandLine::UserItem::Parse() to \c uint8_t
  * to distinguish from \c char
  *
- * \param [in] value The argument name
- * \param [out] dest The \c uint8_t variable to set
- * \return \c true if parsing was successful
+ * @param [in] value The argument name
+ * @param [out] dest The \c uint8_t variable to set
+ * @return \c true if parsing was successful
  */
 template <>
 bool UserItemParse<uint8_t>(const std::string& value, uint8_t& dest);
 
 /**
- * \ingroup commandlinehelper
- * \brief Helper to specialize CommandLine::UserItem::GetDefault() on types
+ * @ingroup commandlinehelper
+ * @brief Helper to specialize CommandLine::UserItem::GetDefault() on types
  * needing special handling.
  *
- * \param [in] defaultValue The default value from the UserItem.
- * \return The string representation of value.
+ * @param [in] defaultValue The default value from the UserItem.
+ * @return The string representation of value.
  * @{
  */
 template <typename T>
@@ -742,7 +742,7 @@
 
     std::stringstream ss;
     ss << value;
-    ss >> item->m_default;
+    item->m_default = ss.str(); // Including white spaces
 
     m_options.push_back(item);
 }
@@ -805,20 +805,20 @@
  * Overloaded operator << to print program usage
  * (shortcut for CommandLine::PrintHelper)
  *
- * \see CommandLine::PrintHelper
+ * @see CommandLine::PrintHelper
  *
  * Example usage:
- * \code
+ * @code
  *    CommandLine cmd (__FILE__);
  *    cmd.Parse (argc, argv);
  *    ...
  *
  *    std::cerr << cmd;
- * \endcode
+ * @endcode
  *
- * \param [in,out] os The stream to print on.
- * \param [in] cmd The CommandLine describing the program.
- * \returns The stream.
+ * @param [in,out] os The stream to print on.
+ * @param [in] cmd The CommandLine describing the program.
+ * @returns The stream.
  */
 std::ostream& operator<<(std::ostream& os, const CommandLine& cmd);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/config.cc ns-3.44/src/core/model/config.cc
--- ns-3.43/src/core/model/config.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/config.cc	2025-03-09 16:55:49.355371000 -0700
@@ -18,14 +18,14 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup config-impl
+ * @file
+ * @ingroup config-impl
  * ns3::Config implementations.
  */
 
 /**
- * \defgroup config-impl Config implementations
- * \ingroup config
+ * @defgroup config-impl Config implementations
+ * @ingroup config
  */
 namespace ns3
 {
@@ -188,7 +188,7 @@
 }
 
 /**
- * \ingroup config-impl
+ * @ingroup config-impl
  * Helper to test if an array entry matches a config path specification.
  */
 class ArrayMatcher
@@ -197,14 +197,14 @@
     /**
      * Construct from a Config path specification.
      *
-     * \param [in] element The Config path specification.
+     * @param [in] element The Config path specification.
      */
     ArrayMatcher(std::string element);
     /**
      * Test if a specific index matches the Config Path.
      *
-     * \param [in] i The index.
-     * \returns \c true if the index matches the Config Path.
+     * @param [in] i The index.
+     * @returns \c true if the index matches the Config Path.
      */
     bool Matches(std::size_t i) const;
 
@@ -212,9 +212,9 @@
     /**
      * Convert a string to an \c uint32_t.
      *
-     * \param [in] str The string.
-     * \param [in] value The location to store the \c uint32_t.
-     * \returns \c true if the string could be converted.
+     * @param [in] str The string.
+     * @param [in] value The location to store the \c uint32_t.
+     * @returns \c true if the string could be converted.
      */
     bool StringToUint32(std::string str, uint32_t* value) const;
     /** The Config path element. */
@@ -301,7 +301,7 @@
 }
 
 /**
- * \ingroup config-impl
+ * @ingroup config-impl
  * Abstract class to parse Config paths into object references.
  */
 class Resolver
@@ -310,7 +310,7 @@
     /**
      * Construct from a base Config path.
      *
-     * \param [in] path The Config path.
+     * @param [in] path The Config path.
      */
     Resolver(std::string path);
     /** Destructor. */
@@ -320,7 +320,7 @@
      * Parse the stored Config path into an object reference,
      * beginning at the indicated root object.
      *
-     * \param [in] root The object corresponding to the current position in
+     * @param [in] root The object corresponding to the current position in
      *                  in the Config path.
      */
     void Resolve(Ptr<Object> root);
@@ -331,35 +331,35 @@
     /**
      * Parse the next element in the Config path.
      *
-     * \param [in] path The remaining portion of the Config path.
-     * \param [in] root The object corresponding to the current position
+     * @param [in] path The remaining portion of the Config path.
+     * @param [in] root The object corresponding to the current position
      *                  in the Config path.
      */
     void DoResolve(std::string path, Ptr<Object> root);
     /**
      * Parse an index on the Config path.
      *
-     * \param [in] path The remaining Config path.
-     * \param [in,out] vector The resulting list of matching objects.
+     * @param [in] path The remaining Config path.
+     * @param [in,out] vector The resulting list of matching objects.
      */
     void DoArrayResolve(std::string path, const ObjectPtrContainerValue& vector);
     /**
      * Handle one object found on the path.
      *
-     * \param [in] object The current object on the Config path.
+     * @param [in] object The current object on the Config path.
      */
     void DoResolveOne(Ptr<Object> object);
     /**
      * Get the current Config path.
      *
-     * \returns The current Config path.
+     * @returns The current Config path.
      */
     std::string GetResolvedPath() const;
     /**
      * Handle one found object.
      *
-     * \param [in] object The found object.
-     * \param [in] path The matching Config path context.
+     * @param [in] object The found object.
+     * @param [in] path The matching Config path context.
      */
     virtual void DoOne(Ptr<Object> object, std::string path) = 0;
 
@@ -623,7 +623,7 @@
 }
 
 /**
- * \ingroup config-impl
+ * @ingroup config-impl
  * Config system implementation class.
  */
 class ConfigImpl : public Singleton<ConfigImpl>
@@ -631,38 +631,38 @@
   public:
     // Keep Set and SetFailSafe since their errors are triggered
     // by the underlying ObjectBase functions.
-    /** \copydoc ns3::Config::Set() */
+    /** @copydoc ns3::Config::Set() */
     void Set(std::string path, const AttributeValue& value);
-    /** \copydoc ns3::Config::SetFailSafe() */
+    /** @copydoc ns3::Config::SetFailSafe() */
     bool SetFailSafe(std::string path, const AttributeValue& value);
-    /** \copydoc ns3::Config::ConnectWithoutContextFailSafe() */
+    /** @copydoc ns3::Config::ConnectWithoutContextFailSafe() */
     bool ConnectWithoutContextFailSafe(std::string path, const CallbackBase& cb);
-    /** \copydoc ns3::Config::ConnectFailSafe() */
+    /** @copydoc ns3::Config::ConnectFailSafe() */
     bool ConnectFailSafe(std::string path, const CallbackBase& cb);
-    /** \copydoc ns3::Config::DisconnectWithoutContext() */
+    /** @copydoc ns3::Config::DisconnectWithoutContext() */
     void DisconnectWithoutContext(std::string path, const CallbackBase& cb);
-    /** \copydoc ns3::Config::Disconnect() */
+    /** @copydoc ns3::Config::Disconnect() */
     void Disconnect(std::string path, const CallbackBase& cb);
-    /** \copydoc ns3::Config::LookupMatches() */
+    /** @copydoc ns3::Config::LookupMatches() */
     MatchContainer LookupMatches(std::string path);
 
-    /** \copydoc ns3::Config::RegisterRootNamespaceObject() */
+    /** @copydoc ns3::Config::RegisterRootNamespaceObject() */
     void RegisterRootNamespaceObject(Ptr<Object> obj);
-    /** \copydoc ns3::Config::UnregisterRootNamespaceObject() */
+    /** @copydoc ns3::Config::UnregisterRootNamespaceObject() */
     void UnregisterRootNamespaceObject(Ptr<Object> obj);
 
-    /** \copydoc ns3::Config::GetRootNamespaceObjectN() */
+    /** @copydoc ns3::Config::GetRootNamespaceObjectN() */
     std::size_t GetRootNamespaceObjectN() const;
-    /** \copydoc ns3::Config::GetRootNamespaceObject() */
+    /** @copydoc ns3::Config::GetRootNamespaceObject() */
     Ptr<Object> GetRootNamespaceObject(std::size_t i) const;
 
   private:
     /**
      * Break a Config path into the leading path and the last leaf token.
-     * \param [in] path The Config path.
-     * \param [in,out] root The leading part of the \pname{path},
+     * @param [in] path The Config path.
+     * @param [in,out] root The leading part of the \pname{path},
      *   up to the final slash.
-     * \param [in,out] leaf The trailing part of the \pname{path}.
+     * @param [in,out] leaf The trailing part of the \pname{path}.
      */
     void ParsePath(std::string path, std::string* root, std::string* leaf) const;
 
